| cpp_redis 4.0.0 cpp_redis is a C++11 Asynchronous Multi-Platform Lightweight Redis Client, with support for synchronous operations and pipelining.

Static Public Member Functions | Public Attributes | List of all members
cpp_redis::client::bitfield_operation Struct Reference

`#include <client.hpp>`

## Static Public Member Functions
static bitfield_operation | get (const std::string &type, int offset, overflow_type overflow=overflow_type::server_default)
static bitfield_operation | set (const std::string &type, int offset, int value, overflow_type overflow=overflow_type::server_default)
static bitfield_operation | incrby (const std::string &type, int offset, int increment, overflow_type overflow=overflow_type::server_default)

## Public Attributes
bitfield_operation_type | operation_type
std::string | type
int | offset
int | value
overflow_type | overflow

## Detailed Description

used to store a get, set or incrby bitfield operation (for bitfield command)

## Member Function Documentation

## ◆ get()

static bitfield_operation cpp_redis::client::bitfield_operation::get | ( | const std::string & | type,
|  | int | offset,
|  | overflow_type | overflow = `overflow_type::server_default`
| ) |  |
| static

build a bitfield_operation for a bitfield get operation

Parameters

  type | type param of a get operation
  offset | offset param of a get operation
  overflow | overflow specification (leave to server_default if you do not want to specify it)

Returns
  corresponding get bitfield_operation

## ◆ incrby()

static bitfield_operation cpp_redis::client::bitfield_operation::incrby | ( | const std::string & | type,
|  | int | offset,
|  | int | increment,
|  | overflow_type | overflow = `overflow_type::server_default`
| ) |  |
| static

build a bitfield_operation for a bitfield incrby operation

Parameters

  type | type param of a incrby operation
  offset | offset param of a incrby operation
  increment | increment param of a incrby operation
  overflow | overflow specification (leave to server_default if you do not want to specify it)

Returns
  corresponding incrby bitfield_operation

## ◆ set()

static bitfield_operation cpp_redis::client::bitfield_operation::set | ( | const std::string & | type,
|  | int | offset,
|  | int | value,
|  | overflow_type | overflow = `overflow_type::server_default`
| ) |  |
| static

build a bitfield_operation for a bitfield set operation

Parameters

  type | type param of a set operation
  offset | offset param of a set operation
  value | value param of a set operation
  overflow | overflow specification (leave to server_default if you do not want to specify it)

Returns
  corresponding set bitfield_operation

## Member Data Documentation

## ◆ offset

int cpp_redis::client::bitfield_operation::offset

redis offset parameter for get, set or incrby operations

## ◆ operation_type

bitfield_operation_type cpp_redis::client::bitfield_operation::operation_type

operation type (get, set, incrby)

## ◆ overflow

overflow_type cpp_redis::client::bitfield_operation::overflow

overflow optional specification

## ◆ type

std::string cpp_redis::client::bitfield_operation::type

redis type parameter for get, set or incrby operations

## ◆ value

int cpp_redis::client::bitfield_operation::value

redis value parameter for set operation, or increment parameter for incrby operation

The documentation for this struct was generated from the following file:

- includes/cpp_redis/core/client.hpp